rte_event_eth_tx_adapter_runtime_params(3)

NAME
rte_event_eth_tx_adapter_runtime_params

SYNOPSIS

#include <rte_event_eth_tx_adapter.h>

  Data Fields

uint32_t max_nb_tx
uint16_t flush_threshold
uint16_t rsvd [29]

Detailed Description

Adapter runtime configuration parameters

Definition at line 112 of file rte_event_eth_tx_adapter.h.

Field Documentation

  uint32_t max_nb_tx
The adapter can return early if it has processed at least max_nb_tx mbufs. This isn't treated as a requirement; batching may cause the adapter to process more than max_nb_tx mbufs.

rte_event_eth_tx_adapter_create() configures the adapter with default value of max_nb_tx. rte_event_eth_tx_adapter_create_ext() configures the adapter with user provided value of max_nb_tx through rte_event_eth_tx_adapter_conf::max_nb_tx parameter. rte_event_eth_tx_adapter_runtime_params_set() allows to re-configure max_nb_tx during runtime (after adding at least one queue)

This is valid for the devices without RTE_EVENT_ETH_TX_ADAPTER_CAP_INTERNAL_PORT capability.

Definition at line 113 of file rte_event_eth_tx_adapter.h.

  uint16_t flush_threshold
the number of service function iteration count to flush buffered packets.

This is valid for the devices without RTE_EVENT_ETH_TX_ADAPTER_CAP_INTERNAL_PORT capability.

Definition at line 129 of file rte_event_eth_tx_adapter.h.

  uint16_t rsvd[29]
Reserved fields for future expansion

Definition at line 136 of file rte_event_eth_tx_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.